[arch-commits] Commit in xf86-video-radeonhd/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Oct 17 13:37:26 EDT 2008


    Date: Friday, October 17, 2008 @ 13:37:26
  Author: jgc
Revision: 15716

upgpkg: xf86-video-radeonhd 1.2.3-1

Modified:
  xf86-video-radeonhd/trunk/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-17 17:21:01 UTC (rev 15715)
+++ PKGBUILD	2008-10-17 17:37:26 UTC (rev 15716)
@@ -1,27 +1,27 @@
 # $Id$
 # Maintainer:  <juergen at archlinux.org>
 pkgname=xf86-video-radeonhd
-pkgver=1.2.1
-pkgrel=2
+pkgver=1.2.3
+pkgrel=1
 pkgdesc="Experimental Radeon HD video driver for r500 and r600 ATI cards"
 arch=(i686 x86_64)
 url="http://wiki.x.org/wiki/radeonhd"
 license=('custom')
 depends=('glibc')
-makedepends=('pkgconfig' 'xorg-server>=1.4.99.906' 'diffutils')
-conflicts=('xorg-server<1.4.99.906')
+makedepends=('pkgconfig' 'xorg-server>=1.5.2' 'diffutils')
+conflicts=('xorg-server<1.5.2')
 options=('!libtool')
 conflicts=('xf86-video-radeonhd-git')
 replaces=('xf86-video-radeonhd-git')
 groups=('xorg-video-drivers')
-source=(ftp://ftp.freedesktop.org/pub/individual/driver/$pkgname-$pkgver.tar.bz2)
-md5sums=('9db15e1f1f891f514ca72dd9a3cc360a')
+source=(http://xorg.freedesktop.org/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('5463c6a1f77861947a1f56b349a42094')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
-  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }




More information about the arch-commits mailing list